export interface QueryHit {
    link: string;
    line: string;
    lineNumber: number;
    offset: number;
}
export interface FastFindInFiles {
    filePath: string;
    totalHits: number;
    queryHits: QueryHit[];
}
interface FastFindInFilesOptions {
    /**
     * Absolute or relative directory path to search in.
     */
    directory: string;
    /**
     * String or RegExp to search for.
     */
    needle: string | RegExp;
    /**
     * Relative folder paths to exclude from the search.
     *
     * Requirements:
     * - Must not end with `/`
     */
    excludeFolderPaths?: string[];
}
declare function fastFindInFiles(options: FastFindInFilesOptions): FastFindInFiles[];
export { fastFindInFiles };
